Introduction

Code Splitter is an application which offers the ability to create exports for Panel Saws and/or Tiger Stops from a TWD file created by eCabinet Systems.

For Panel Saws all rectangular parts not containing additional operations will be removed from the TWD and used in the export.

For Tiger Stops all board stock parts will be removed from the TWD and used in the export.

Exports are generated based on a Configuration File that can be created in Configuration File Settings.

The following steps are performed to Code Split a TWD file...

1.) A TWD file is selected by clicking the Select TWD button

2.) The desired export is checked. "Create Panel Saw Export" and/or "Create Tiger Stop Export" is checked. Based on your purchase you may have 1 or both of these options.

3.) The desired Configuration File is selected by either typing in the full path in the appropriate text box or click on the appropriate Browse button.

4.) The Code Splitting operation is performed by clicking the Split button.

The following files are created when a Code Split is performed...

- The resulting TWD with appropriate parts removed for exports. It will have the same file name as the original TWD with "_split" added to it.

- The resulting export file for Panel Saw (if selected). It will have the same file name as the original TWD file with "_ps" added to it. It will have the extension provided by the configuration settings selected.

- The resulting export file for Tiger Stop (if selected). It will have the same file name as the original TWD file with "_ts" added to it. It will have the extension provided by the configuration settings selected.

The files created will be in the same directory as the selected TWD.


Code Splitter

This is the main screen for Code Splitter.

Click the Select TWD button to load a TWD file for splitting. The name of the TWD file that is selected is displayed in the title bar.

Click the Configuration File Settings button if you wish to create or modify a Configuration File.

Click the Browse buttons to select the corresponding Configuration File for your machine.

The Free This Seat button offers the ability to release the license for the installed pc so that you may install and run Code Splitter on another pc.

Click the Split button once a TWD file is selected and the appropriate Configuration Files are set. This will perform the Split operation where the exports are created.


Select TWD

Click this button to select a TWD file for splitting into export(s). The selected file name will be displayed in the title bar of the main screen.

This TWD file will not be altered. It is only read. A resulting "_split" TWD file will be created during the Split operation. This result file will be located in the same directory as the selected TWD file. It will have the same name with "_split" added to it.

For Example:

selected TWD file: c:\MyJob.twd

resulting TWD file: c:\MyJob_split.twd


Configuration File Settings Button

Configuration File Settings

Click this button to open the Configuration File settings dialog. This is where you can set how you which to format the export file that will be created during the Split operation.

You can either create a new Configuration File or modify an existing one.


Panel Saw

Create Panel Saw Export

Checking this option will tell Code Splitter to use the provided Configuration File to create an export for a Panel Saw from the provided TWD file. The Split operation is performed when you click the Split button.

If this option is not checked then a Panel Saw export will not be created during the Split operation.

To specify the Configuration File to use for this export you must either enter the full path to the file in the provided text box or select one using the corresponding Browse button.

Panel Saw exports will contain all the rectangular sheet stock parts that are in the selected TWD file. It will only export parts that do NOT contain any operations such as drill holes or dados.

When these parts are exported they will not be included in the resulting "_split" TWD file. The original selected TWD file will not be altered.

The resulting Panel Saw export file will have the same file name as the selected TWD file with "_ps" added to it. It will have the extension that is set in the Configuration File for this export. If an extension is not specified then one will not be applied.

For Example:

selected TWD file: c:\MyJob.twd

resulting Panel Saw export: c:\MyJob_ps.xxx (xxx will be the extension specified in the Configuration File)


Create Tiger Stop Export

Checking this option will tell Code Splitter to use the provided Configuration File to create an export for a Tiger Stop from the provided TWD file. The Split operation is performed when you click the Split button.

If this option is not checked then a Tiger Stop export will not be created during the Split operation.

To specify the Configuration File to use for this export you must either enter the full path to the file in the provided text box or select one using the corresponding Browse button.

Tiger Stop exports will contain all the board stock parts that are in the selected TWD file. It will export ALL board stock parts whether or not additional operations exist.

When these parts are exported they will not be included in the resulting "_split" TWD file. The original selected TWD file will not be altered.

The resulting Tiger Stop export file will have the same file name as the selected TWD file with "_ts" added to it. It will have the extension that is set in the Configuration File for this export. If an extension is not specified then one will not be applied.

For Example:

selected TWD file: c:\MyJob.twd

resulting Tiger Stop export: c:\MyJob_ts.xxx (xxx will be the extension specified in the Configuration File)


Free This Seat

The Free This Seat button allows you to remove the licensed seat from the currently installed pc. Once performed you can then install Code Splitter on another pc and run it successfully. A computer must have internet access to Free a Seat.


Split

The Split button starts the Split Operation. When clicked if a TWD file is selected and the export options are set the Split operation will run. When complete Code Splitter will tell you whether or not it was successful and give you the option to close.


Configuration File Settings


Configuration File Overview

When an export file is made from a TWD it obeys the configuration set in the Configuration File. This area is used to create a Configuration File or modify an existing file. Using Configuration Files allows the user to have multiple configurations that may be used for multiple Panel Saw or Tiger Stop machines.

The files can be saved anywhere on the pc. Specifying which one to use is done on the opening screen of the Code Splitter application.

Click Insert to begin setting how each column will be set in a delimited file. Each item in the list determines what will be written per column in the Export.

Click Delete to remove an item.

Click Load to open an existing configuration you have created.

Click Save As to create your configuration file based on the current settings.


Items

An Item in the list control represents what a column will be in the resulting export file. The image below shows 1 item circled in red

To set values per field you must click on the cell for the value. Either a drop down list will appear with choices or a text box will appear for text entry.

The following fields can be set for the item to be placed in a column for the export.

- Column - This tells Code Splitter which column to put this information in. The resulting columns will be in alphabetical order.

- Header - This field is for telling Code Splitter what to print for a header column. Header values will only be printed if the Use Header option is selected.

- Data - This field tells Code Splitter what type of value you wish this column to contain. All Data values that are available are in this list. There is also a "Use Fixed Value" option. When this Data value is selected Code Splitter will use the text you put in the Fixed Value field for this column.

- Fixed Value - This field is only used when the "Use Fixed Value" is selected in the Data field.

- Field Width - This value is used for exports that require a fixed size per column. Code Splitter will limit the text printed out for this column to only contain the number of characters specified by Fixed Width. If the text is longer than the value entered Code Splitter will truncate the text on the left end for Right Justification and the right end for Right Justification. If the text is smaller than the value entered then Code Splitter will enter spaces to fill the field.

- Justification - This value is used when a Field Width value is set to tell Code Splitter how to justify the text printed out.


Insert

Insert an Item

Click this button to insert a new item in the list. A new item will be inserted above the selected item or at the bottom of the list if no items are selected. Pressing the Esc key will deselect item(s) in the list.


Editing an Item

Edit an Item

To edit an Item in the list you need to click the cell that you wish to change.

The Column, Data, Field Width, and Justification fields will bring up a drop down list for available options to select.

The Header & Fixed Value fields will bring up a text entry box for entering text.

NOTE:

The Fixed Value field will ONLY bring up a text box for entry if the "Use Fixed Value" option is selected in the Data field.


Delete

Delete an Item

To Delete an Item you can click the Delete button. You can also use the Delete key. Only selected items will be deleted.

If you wish to remove all Items then you can click the Delete All button. This will remove all items from the list whether they are selected or not.


Load

Click the Load button to open an existing Configuration File. You can then alter the configuration settings to create a new Configuration File or save over the existing Configuration File.


Save As

The Save As button allows you to save/create the Configuration File based on the current settings. The resulting Configuration File can then be used to create an export during the Split operation.


Format

The Format settings tells Code Splitter how to display the dimensional values in the export file.


Use Header

The Use Header option tells Code Splitter whether or not to print out a header in the export. If a header is not needed for your export configuration then this option should not be selected.


Use Unit Symbol

Selecting the Use Unit Symbol option will tell Code Splitter to print out either " or mm symbol with the dimensions.

NOTE:

If Feet, Inches and Decimal OR Feet, Inches, and Fractions is selected in Format the ' symbol will ALWAYS be used.


File Extension

The File Extension text box is where you can enter an extension value you wish Code Spitter to apply to the file name for the export. If a value is not specified Code Splitter will not apply an extension to the file name.


Delimiter

The Delimiter setting tells Code Splitter how to separate the columns in the resulting export file. If the Other option is selected you can enter what delimiter character(s) you wish to use in the provided text box.


Boolean

The Boolean setting tells Code Splitter how to print out a True or False value in the resulting export file. If the Other option is selected then you can provide the needed values for these conditions in the appropriate text boxes.